{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/crdbs/updates",
  "title": "CRDB updates requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/crdbs/updates/",
  "summary": "Update Active-Active configuration requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2026-10-05T16:11:44+01:00",
  "page_type": "content",
  "content_hash": "b896fd5ead1fd948135a1d308a2d12537ecb9c099b46dc85be03fe9ee861cf55",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "| Method | Path | Description |\n|--------|------|-------------|\n| [POST](#post-crdbs-updates) | `/v1/crdbs/{crdb_guid}/updates` | Modify Active-Active configuration |"
    },
    {
      "id": "post-crdbs-updates",
      "title": "Modify Active-Active configuration",
      "role": "content",
      "text": "POST /v1/crdbs/{crdb_guid}/updates\n\nModify Active-Active configuration.\n\n> [!WARNING]\n> This is a very powerful API request and can cause damage if used incorrectly.\n\nTo add or remove instances, you must use this API. For simple configuration updates, use [`PATCH /crdbs/{crdb_guid}`](https://redis.io/docs/latest/operate/rs/references/rest-api/requests/crdbs#patch-crdbs) instead.\n\nUpdating `default_db_config` affects both existing and new instances.\n\nWhen you update `db_config`, it changes the configuration of the specified database instance. This field overrides any corresponding fields in `default_db_config`.\n\nFor a list of which settings must be identical across all instances and which to set per instance, see the [CRDB database config object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/crdb/database_config) reference."
    },
    {
      "id": "post-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n    POST /v1/crdbs/1/updates\n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| X-Task-ID | string | Specified task ID |\n| X-Result-TTL | integer | Time (in seconds) to keep task result |\n\n#### URL parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| crdb_guid | string | Globally unique Active-Active database ID (GUID) |\n\n#### Query parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| dry_run | boolean | Validate the request without applying changes (optional) |\n\n#### Request body\n\nInclude a [CRDB modify_request object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/crdb/modify_request) with updated fields in the request body."
    },
    {
      "id": "post-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns a [CRDB task object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/crdb_task)."
    },
    {
      "id": "post-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | The request has been accepted. |\n| [400 Bad Request](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1) | The posted Active-Active database contains invalid parameters. |\n| [401 Unauthorized](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.2) | Unauthorized request. Invalid credentials |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | Configuration, instance or Active-Active database not found. |\n| [406&nbsp;Not&nbsp;Acceptable](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.7) | The posted Active-Active database cannot be accepted. |"
    }
  ],
  "examples": []
}
